This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 248905 - Firestarter - errors reported to ~/.xsession-errors
Firestarter - errors reported to ~/.xsession-errors
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: firestarter (Show other bugs)
9
All Linux
low Severity high
: ---
: ---
Assigned To: Damien Durand
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-19 11:24 EDT by Vince Schiavoni
Modified: 2009-07-14 12:30 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 12:30:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vince Schiavoni 2007-07-19 11:24:03 EDT
Description of problem:
Constant errors reported to ~/.xsession-errors:
(firestarter:4033): GLib-CRITICAL **: g_str_has_suffix: assertion `str != NULL'
failed

Version-Release number of selected component (if applicable):
firestarter-1.0.3-14.fc6

How reproducible:
Always.

Steps to Reproduce:
1.Start firestarter (I use kDE, autostart with sudo/root priveleges)
2.observe ~/.xsession-errors (seems to take a while to start piling up).
3.Possibly only when an incoming packet is blocked - can't pinpoint action that
triggers errors.
  
Actual results:
Numerous errors reported to ~/.xsession-errors.

Expected results:
No errors.

Additional info:
uname -a: Linux 2.6.20-1.2952.fc6 #1 SMP Wed May 16 18:59:18 EDT 2007 i686
athlon i386 GNU/Linux
Compaq Presario SR2020NX, AMD Athlon 64 3500+ (~2.2GHz, stepped), nvidia GeForce
6150 LE graphics, driver: freshrpms nvidia-x11-drv-1.0.9762-1.
Comment 1 Vince Schiavoni 2008-02-15 03:11:02 EST
Status: unchanged with F7/Linux presario.localdomain 2.6.23.15-80.fc7 #1 SMP Sun
Feb 10 17:29:10 EST 2008 i686 athlon i386 GNU/Linux
Comment 2 Bug Zapper 2008-05-14 09:36:13 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Vince Schiavoni 2008-05-29 12:11:56 EDT
In response to Comment #2:

I am aware that the firestarter code is getting quite stale as it has not been 
maintained for some years now. And the problems are not getting better: the GUI 
has refused to load the logs, and the GUI always crashes in F8, simply 
disappearing from the system tray soon after starting.  The service daemon 
continues to run, apparently just fine, managing the firewall.

Changing Fedora Release version to F8. Have not had a chance to check F9 yet.

Thanx and Regards,
VJS
Comment 4 Vince Schiavoni 2008-06-19 02:04:36 EDT
Snippet from ~/.xsession-errors of latest firestarter crash messages:
[...]
X Error: BadWindow (invalid Window parameter) 3
  Major opcode:  19
  Minor opcode:  0
  Resource id:  0x3600002

***MEMORY-ERROR***: firestarter[7057]: GSlice: assertion failed: sinfo-
>n_allocated > 0
Firewall started
Finished reading events list
[...]

Regards,
VJS
Comment 5 Vince Schiavoni 2008-10-23 09:45:39 EDT
Changed SEVERITY to "High".

At this point, the FireStarter application has become a potential security risk IMHO, due to the age of the code and operational failures: http://forums.fedoraforum.org/showthread.php?t=202223.

As much as I like(d) FireStarter, please either fix this package, or withdraw it from the distribution. Note that the source code has not been updated in years, so action from the upstream vendor is not to be expected. Other, more current applications are available to substitute for this program.

firestarter-1.0.3-17.fc8.i386

Thanks and Regards,
VJS
Comment 6 Bug Zapper 2008-11-26 02:35:09 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Vince Schiavoni 2008-12-01 20:23:13 EST
(In reply to comment #6)

The issue persists into F9, and the package is included in F10. Please keep this bug report open. I changed "Release" field to F9.

Thanks and Regards,
VJSchiavoni
Comment 8 Bug Zapper 2009-06-09 18:43:08 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2009-07-14 12:30:29 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.